package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.model.*;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

public interface IDataRequirementService {
    ResultState<Long> addDataRequirement(DataRequirementAddModel dataRequirementAddModel);
    DataRequirementDetailModel getDataRequirementDetail(Long id, Long userId, String openOrShareType);
    List<Map<Long,String>> getSectorParentNames();

    List<DataRequirementListModel> getDataRequirementList(DataRequirementSearchModel dataRequirementSearchModel);
    Long getDataRequirementCount(DataRequirementSearchModel dataRequirementSearchModel);
    ResultState<Long> follow(String openOrShare, Long id, Long userId);

    ResultState delfollow(Long id);

    List<DataRequirementListModel> getMore(DataRequirementSearchModel dataRequirementSearchModel,int pageNo);
}
